View Issue Details

IDProjectCategoryLast Update
0019210AI War 2[All Projects] Crash/ExceptionOct 3, 2017 11:33 am
ReporterBadgerBadgerAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.504 Big Ship Graphics Batch + Test And Revise Pass #3 
Fixed in Version 
Summary0019210: Building basic turretry causes a crash
DescriptionI started out owning my own planet. I immediately clicked through the menu to build "Basic Turretry".

Oddly, clicking on "Basic Turretry" gave me another "Basic Turretry" above it, like "Basic Turretry was the name of a class of objects.

When I clicked on the second basic turretry I hit a crash:
8/1/2017 8:01:21 PM
-----------^M
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00265] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Networking\GameCommand.cs:328
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x000b1] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameS\
tate\World_AIW2.cs:588
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep () [0x0067a] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:538
  at Arcen.Universal.Engine_Universal.OnUpdate () [0x001d8] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\Engine_Universal.cs:851 ^M
Stack Trace: at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00265] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Networking\GameCommand.cs:328
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x000b1] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameS\
tate\World_AIW2.cs:588
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep () [0x0067a] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:538
  at Arcen.Universal.Engine_Universal.OnUpdate () [0x001d8] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\Engine_Universal.cs:851 ^M


   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in D:\vclarge\AI_War_2_Ultra\Arcen\
Universal\src\UtilityLibraries\ArcenDebugging.cs:line 140
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibrar\
ies\ArcenDebugging.cs:line 109
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 88
   at Arcen.Universal.Engine_Universal.LogWritten(System.String LogString, System.String StackTrace, LogType Type, System.Exception Cause, Boolean CameFromUnity) in D:\vclarge\AI_War_2_Ultr\
a\ArcenUniversal\src\Engine_Universal.cs:line 657
   at Arcen.Universal.Engine_Universal.LogWritten(System.String LogString, System.String StackTrace, LogType Type, System.Exception Cause) in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\En\
gine_Universal.cs:line 615
   at Arcen.Universal.Engine_Universal.OnUpdate() in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\Engine_Universal.cs:line 874
   at ArcenGameController.Update() in D:\vclarge\AI_War_2_Ultra\AIW2Unity\Assets\ArcenCode\ArcenGameController.cs:line 39


I am working on some Nanocaust stuff, but this traceback seems entirely within the Core code and happens immediately on-click with Basic Turretry
TagsNo tags attached.

Activities

BadgerBadger

Aug 5, 2017 11:58 am

reporter   ~0046417

This no longer reproduces on .506. Feel free to close this.

Issue History

Date Modified Username Field Change
Aug 1, 2017 8:05 pm BadgerBadger New Issue
Aug 5, 2017 11:58 am BadgerBadger Note Added: 0046417
Oct 3, 2017 11:33 am x4000Bughunter Assigned To => keith.lamothe
Oct 3, 2017 11:33 am x4000Bughunter Status new => resolved
Oct 3, 2017 11:33 am x4000Bughunter Resolution open => fixed